Bug 981540 - can not see mouse in guest when lanch the guest with virt-viewer
can not see mouse in guest when lanch the guest with virt-viewer
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer (Show other bugs)
7.0
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Virt Viewer Maint
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 01:45 EDT by EricLee
Modified: 2013-12-19 04:17 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 04:17:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description EricLee 2013-07-05 01:45:29 EDT
Description
can not see mouse in guest when lanch the guest with virt-viewer, but it can use if there is X windows installed in guest, just can not see it.

Version:
libvirt-1.1.0-1.el7.x86_64
virt-viewer-0.5.6-1.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Prepare a X window installed guest, and start it.

2.Use virt-viewer to connect it:
# virt-viewer guest

3.After guest setup, there is no mouse in guest, but move it can see some place will light and dim, and can click if move to a right place.

Actual results:
As steps

Expected results:
Should see the mouse in guest.

Additional info:
There is another virt-manager bug: 980714, I think they are not the same bug.
Comment 2 EricLee 2013-07-05 02:41:13 EDT
Sorry for wrong judgement of exsiting bug 980714, they should be the same root reason causeed:
This only reproduced in the guest with spice+qxl as graphic type, not reproduced in a vnc guest. And the error in qemu/guest.log is the same as the bug https://bugzilla.redhat.com/show_bug.cgi?id=980714, so I think it is the same issue displaying in different kinds of component.
Comment 3 Christophe Fergeau 2013-11-04 07:14:50 EST
Most likely the same as https://bugzilla.redhat.com/show_bug.cgi?id=981094
The proper fix belongs to qemu, but I don't know if RHEL7 qemu has the needed patch. However, libvirt 1.1.1 has a workaround for this, so this bug should no longer occur.
Comment 4 Christophe Fergeau 2013-12-18 06:15:04 EST
Eric, are you still seeing this? I did not hit this when using remote-viewer on RHEL7.
Comment 5 EricLee 2013-12-19 01:29:33 EST
(In reply to Christophe Fergeau from comment #4)
> Eric, are you still seeing this? I did not hit this when using remote-viewer
> on RHEL7.

No, I can not reproduce it both in virt-viewer and remote-viewer with package:
libvirt-1.1.1-15.el7.x86_64
qemu-kvm-rhev-1.5.3-21.el7.x86_64
Comment 6 Christophe Fergeau 2013-12-19 04:17:40 EST
Ok, thanks for confrming! It was probably the same bug as bug #981094
Closing this bug now.

Note You need to log in before you can comment on or make changes to this bug.